# Get Subscription

This endpoint retrieves the details of a specific webhook subscription, and returns a single `Subscription` object.

Endpoint: GET /api/v1/subscriptions/{subscription_id}/
Version: Version: 0d14821f
Security: CodeBearer

## Security:

  - `CodeBearer` (unknown)
    oauth2 scopes: subscriptions.read

## Path parameters:

  - `subscription_id` (string, required)

## Response 200:

  - `200` (unknown)
    Successful Response

## Response 200 fields (application/json):

  - `description` (string)
    A description of the webhook's intended use.

  - `events` (array, required)
    Which types of events this webhook should be invoked for.

  - `url` (string, required)
    The webhook URL to invoke.

  - `retry_policy` (any)
    The retry policy to use if Jiko encounters HTTP errors when calling subscription URLs.

  - `retry_policy.retry_on_status_codes` (array, required)
    Denotes on which status codes Jiko will retry the webhook call, e.g. 502 or 503.

  - `retry_policy.backoff_coefficient` (number, required)

  - `retry_policy.maximum_attempts` (integer, required)

  - `retry_policy.initial_interval_seconds` (number, required)

  - `retry_policy.maximum_interval_seconds` (number, required)

  - `id` (string, required)

  - `time_created` (string, required)

  - `updated_at` (string, required)

  - `status` (string, required)
    Enum: "enabled", "disabled"

## Response 422:

  - `422` (unknown)
    Validation Error

## Response 422 fields (application/json):

  - `detail` (array)

  - `detail.loc` (array, required)

  - `detail.msg` (string, required)

  - `detail.type` (string, required)

  - `detail.input` (any)

  - `detail.ctx` (object)

